<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    2.0 build:20090226
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 *
 */

session_start();
require_once('bin/qtr_init.php');
include(Translate('qtr_adm.php'));
include(Translate('qtr_adm_tf.php'));

if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$tt = 'ticket';
if ( isset($_GET['tt']) ) $tt = $_GET['tt'];
if ( isset($_POST['tt']) ) $tt = $_POST['tt'];

$id = '';
if ( isset($_GET['id']) ) $id = $_GET['id'];
if ( isset($_POST['id']) ) $id = $_POST['id'];

$oVIP->selfurl = 'qtr_adm_field.php';
$oVIP->selfname = $L['Field_upd'];
$oVIP->exiturl = 'qtr_adm_fields.php?tt='.$tt;
$oVIP->exitname = $L['Fields_man'];

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  // check id

  $oldid = trim($_POST['oldid']); if ( get_magic_quotes_gpc() ) $oldid = stripslashes($oldid);
  $id = trim($_POST['id']); if ( get_magic_quotes_gpc() ) $id = stripslashes($id);
  $id = QTconv($id,'K');
  if ( !ereg('^[a-z0-9_]+$',$id) ) $error="Id $id ".$L['E_invalid'].' (lowercase)';
  if ( in_array($id,array('t','ok','s','tt')) ) $error="Id $id is reserved";
  if ( $id=='ok'.$tt ) $error="Id $id is reserved";

  // change id

  if ( empty($error) && $oldid!=$id )
  {
    $error = cField::Rename($oldid,$id);
  }

  // move to other tab

  if ( empty($error) && $tt!=$_POST['destination'] )
  {
    $error = cField::Move($id,$_POST['destination']);
  }

  //  save others

  if ( empty($error) )
  {
    if ( !isset($_POST['default']) ) $_POST['default']='0';
    if ( $_POST['type']=='P' ) $_POST['default']='1';

    $oDB->Query('UPDATE '.TABFIELD.' SET fieldtype="'.$_POST['type'].'",fielddefault="'.$_POST['default'].'",fieldselect="'.$_POST['visible'].'",fieldupdate="'.$_POST['update'].'" WHERE fieldid="'.$id.'"');
    // go to default value page when actif
    if ( $_POST['type']=='P' )
    {
    $oVIP->exiturl = 'qtr_adm_cmd.php?a=listtrans&amp;v='.$id.'&amp;tt='.$tt;
    $oVIP->exitname = $L['Translations'];
    }
    if ( ($_POST['type']=='S' || $_POST['type']=='S') && $_POST['default']=='1' )
    {
    $oVIP->exiturl = 'qtr_adm_cmd.php?a=defaulttrans&amp;v='.$id.'&amp;tt='.$tt;
    $oVIP->exitname = $L['Translations'];
    }
  }

  //  save translation

  if ( empty($error) )
  {
    cLang::Delete(array('field','fielddesc'),$id);
    foreach($_POST as $strKey => $strTranslation)
    {
      if ( substr($strKey,0,1)=='T' )
      {
        if ( !empty($strTranslation) )
        {
        if ( get_magic_quotes_gpc() ) $strTranslation = stripslashes($strTranslation);
        cLang::Add('field',substr($strKey,1),$id,$strTranslation);
        }
      }
      if ( substr($strKey,0,1)=='D' )
      {
        if ( !empty($strTranslation) )
        {
        if ( get_magic_quotes_gpc() ) $strTranslation = stripslashes($strTranslation);
        cLang::Add('fielddesc',substr($strKey,1),$id,$strTranslation);
        }
      }
    }

    // register fields lang and description

    $_SESSION['L']['field'] = cLang::GetName('field',$_SESSION[QT]['lang_iso'],'*');
    $_SESSION['L']['fielddesc'] = cLang::GetName('fielddesc',$_SESSION[QT]['lang_iso'],'*');

    //exit
    $oVIP->EndMessage('0');
  }
}

// --------
// HTML START
// --------

if ( isset($oldid) ) $id = $oldid; // in case of error, restart with oldid

// Read field property
$oDB->Query('SELECT * FROM '.TABFIELD.' WHERE fieldid="'.$id.'"');
$arrProps = $oDB->Getrow();

$arrTabids = array();
  $oDB->Query('SELECT DISTINCT tabid,taborder FROM '.TABTAB.' ORDER by taborder');
  while($row=$oDB->Getrow())
  {
    if ( !in_array($row['tabid'],array('ticket','messages','documents')) )
    {
    $arrTabids[$row['tabid']] = ($arrProps['tabid']==$row['tabid'] ? ObjTrans('tab',$row['tabid']) : $L['Move_to'].': '.ObjTrans('tab',$row['tabid']));
    }
  }

// DISPLAY

$strHeadScript = '
<script type="text/javascript">
<!--
function iddisabled(str)
{
  if (str=="P")
  {
  document.getElementById("default").style.visibility="hidden";
  document.getElementById("defaulttip").style.visibility="visible";
  }
  else
  {
  document.getElementById("default").style.visibility="visible";
  document.getElementById("defaulttip").style.visibility="hidden";
  }
  return null;
}
-->
</script>
';

include('qtr_adm_p_header.php');
include('qtr_adm_p_title.php');

echo '<h2>',$L['Prop_field'],' &middot; ',ObjTrans('field',$id),'</h2>';

echo '<form method="post" action="',$oVIP->selfurl,'">
<table cellspacing="0" class="data_o">
<colgroup span="3"><col width="150"></col><col width="300"><col></col></colgroup>
<tr class="data_o">
<td class="th_o th_o_all" colspan="3">',$L['Definition'],'</td>
</tr>
';
echo'<tr class="data_o">
<td class="th_o th_o_first">Id</td>
<td class="td_o"><input type="text" id="id" name="id" size="24" maxlength="24" value="',$id,'" style="background-color:#FFFF99"/></td>
<td class="td_o">&nbsp;</td>
</tr>
';
echo'<tr class="data_o">
<td class="th_o th_o_first">',$L['In_tab'],'</td>
<td class="td_o">
<select id="destination" name="destination">',QTastags($arrTabids,null,$tt),'</select>
</td>
<td class="td_o">&nbsp;</td>
</tr>
';
echo '<tr class="data_o">
<td class="th_o th_o_all" colspan="3">',$L['Properties'],'</td>
</tr>
<tr class="data_o">
<td class="th_o th_o_first">',$L['Style'],'</td>
<td class="td_o">
<select id="type" name="type" onchange="iddisabled(this.value)">
',QTastags($L['Field_type'],null,$arrProps['fieldtype']),'
</select>
</td>
<td class="td_o">&nbsp;</td>
</tr>
';
echo'<tr class="data_o">
<td class="th_o th_o_first">',$L['Default_value'],'</td>
<td class="td_o">
';
if ( $arrProps['fieldtype']=='P' )
{
echo '<select id="default" name="default" style="visibility:hidden">',QTastags(array('0'=>$L['N'],'1'=>$L['Y']),null,'1'),'</select>';
}
else
{
echo '<select id="default" name="default">',QTastags(array('0'=>$L['N'],'1'=>$L['Y']),null,$arrProps['fielddefault']),'</select>';
}
echo '</td>
<td class="td_o"><span class="help" id="defaulttip"',($arrProps['fieldtype']!='P' ? ' style="visibility:hidden"' : ''),'>Save to define popup values...</span></td>
</tr>
<tr class="data_o">
<td class="th_o th_o_first">',$L['Visible'],'</td>
<td class="td_o">
<select id="visible" name="visible">
',QTastags(array('0'=>$L['N'],'1'=>$L['Y']),null,$arrProps['fieldselect']),'
</select>
</td>
<td class="td_o">&nbsp;</td>
</tr>
<tr class="data_o">
<td class="th_o th_o_first">',$L['Editable'],'</td>
<td class="td_o">
<select id="update" name="update">
',QTastags(array('0'=>$L['N'],'1'=>$L['Y']),null,$arrProps['fieldupdate']),'
</select>
</td>
<td class="td_o">&nbsp;</td>
</tr>
';
echo '<td class="th_o th_o_all" colspan="3">',$L['Translations'],'</td>
<tr class="data_o">
<td class="th_o th_o_first">',$L['Field_name_and_desc'],'</td>
<td class="td_o" colspan="2">
<p class="help">',sprintf($L['E_no_translation'],ucfirst(str_replace('_',' ',$id))),'</p>
<table cellspacing="0" class="hidden">';

$arrTrans = cLang::GetTrans('field',$id);
$arrDescTrans = cLang::GetTrans('fielddesc',$id);
include('bin/qtr_lang.php'); // this creates $arrLang
foreach($arrLang as $strIso => $arr)
{
  echo '
  <tr class="hidden">
  <td class="hidden" style="width:30px"><span title="',$arr[1],'">',$arr[0],'</span></td>
  <td class="hidden">
  <input class="small" title="',$L['Field'],' (',$strIso,')" type="text" id="T',$strIso,'" name="T',$strIso,'" size="24" maxlength="64" value="',(isset($arrTrans[$strIso]) ? $arrTrans[$strIso] : ''),'"/>
  <input class="small" title="',$L['Description'],' (',$strIso,')" type="text" id="D',$strIso,'" name="D',$strIso,'" size="50" maxlength="255" value="',(isset($arrDescTrans[$strIso]) ? $arrDescTrans[$strIso] : ''),'"/>
  </td>
  </tr>
  ';
}

echo '</table>
</td>
</tr>
<tr class="data_o">
<td class="th_o th_o_all" colspan="3" style="padding:6px; text-align:center">
<input type="hidden" name="oldid" value="',$id,'"/>
<input type="hidden" name="tt" value="',$tt,'"/>
<input type="submit" name="ok" value="',$L['Save'],'"/></td>
</tr>
</table>

<p><a href="',$oVIP->exiturl,'">&laquo; ',$oVIP->exitname,'</a></p>
';

// --------
// HTML END
// --------

include('qtr_adm_p_footer.php');

?>