<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    2.0 build:20090226
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 *
 */

session_start();
require_once('bin/qtr_init.php');
include(Translate('qtr_adm.php'));
include(Translate('qtr_adm_tf.php'));

if ( $oVIP->role!='A' ) die($L['E_admin']);

function arrShift($arrSrc,$intObject,$strDir)
{
  $arrTemp = $arrSrc;

  // search for the value
  foreach($arrSrc as $intKey => $intValue)
  {
  if ( $intValue==$intObject ) $intNewkey = $intKey;
  }
  if ( !isset($intNewkey) ) return false;
  if ( $intNewkey==0 && $strDir=='up' ) return $arrSrc;
  if ( $intNewkey==(count($arrSrc)-1) && $strDir=='down' ) return $arrSrc;

  // reorder the elements
  if ( $strDir=='up' ) { $intDir = -1; } else { $intDir = 1; }
  $arrTemp[$intNewkey+$intDir] = $arrSrc[$intNewkey];
  $arrTemp[$intNewkey] = $arrSrc[$intNewkey+$intDir];

  // return the ordered array
  return $arrTemp;
}

// --------
// INITIALISE
// --------

$tt = '*';
if ( isset($_GET['tt']) ) $tt = $_GET['tt'];
if ( isset($_POST['tt']) ) $tt = $_POST['tt'];

$oVIP->selfurl = 'qtr_adm_fields.php';
$oVIP->selfname = '<span class="upper">'.$L['Adm_settings'].'</span><br/>'.$L['Fields'];

// Fields and tabs dictionary

CheckDico('field',true);
CheckDico('tab',true);

// --------
// SUBMITTED move, delete
// --------

if ( isset($_GET['a']) )
{
  if ( $_GET['a']=='up' )
  {
    $oDB->Query('SELECT fieldid FROM '.TABFIELD.' WHERE tabid="'.$tt.'" ORDER BY fieldorder');
    $arrList = array();
    while($row=$oDB->Getrow())
    {
    $arrList[]=$row['fieldid'];
    }
    $arrOrdered = arrShift($arrList,$_GET['id'],'up');
    $i = 0;
    foreach($arrOrdered as $intId)
    {
    $oDB->Query('UPDATE '.TABFIELD.' SET fieldorder='.$i.' WHERE tabid="'.$tt.'" AND fieldid="'.$intId.'"');
    $i++;
    }
  }
  if ( $_GET['a']=='down' )
  {
    $oDB->Query('SELECT fieldid FROM '.TABFIELD.' WHERE tabid="'.$tt.'" ORDER BY fieldorder');
    $arrList = array();
    while($row = $oDB->Getrow())
    {
    $arrList[]=$row['fieldid'];
    }
    $arrOrdered = arrShift($arrList,$_GET['id'],'down');
    $i = 0;
    foreach($arrOrdered as $intId)
    {
    $oDB->Query('UPDATE '.TABFIELD.' SET fieldorder='.$i.' WHERE tabid="'.$tt.'" AND fieldid="'.$intId.'"');
    $i++;
    }
  }
  if ( $_GET['a']=='del' )
  {
     cField::Delete($_GET['id']);
     $strInfo = $L['S_delete'];
  }
}

// --------
// SUBMITTED add field
// --------

if ( isset($_POST['okadd']) )
{
  // check id

  $id = trim($_POST['id']); if ( get_magic_quotes_gpc() ) $id = stripslashes($id);
  $id = QTconv($id,'K');
  if ( !ereg('^[a-z0-9_]+$',$id) ) $error='Id '.$id.' '.$L['E_invalid'].' (use only a-z or "_" characters)';

  // Add tab

  if ( empty($error) )
  {
    $error = cField::Add($tt,$id);
    if ( empty($error) ) $strInfo = $L['S_insert'];
  }
}

// --------
// SUBMITTED add tab
// --------

if ( isset($_POST['oktab']) )
{
  // check id

  $id = trim($_POST['tabid']); if ( get_magic_quotes_gpc() ) $id = stripslashes($id);
  $id = QTconv($id,'K');
  if ( !ereg('^[a-z0-9_]+$',$id) ) $error='Id '.$id.' '.$L['E_invalid'].' (use only a-z or "_" characters)';
  
  // check section
  
  $intTo = intval($_POST['section']);


  // Add tab

  if ( empty($error) )
  {
    $error = cTab::Add($intTo,$id);
    if ( empty($error) ) { $strInfo = $L['S_insert']; $tt = $id; }
  }
}
// --------
// HTML START
// --------

$arrTabs = GetSectionTabs(-1);
$oTab = new cTab( array('tabid'=>'*','tabname'=>'('.strtolower($L['All']).')','tabdesc'=>ObjTrans('tabdesc','*',false)) );
$arrTabs = array_merge(array('*'=>$oTab),$arrTabs);

  $arrEditableTabids = array();
  foreach($arrTabs as $strKey=>$oTab)
  {
    if ( !in_array($strKey,array('*','ticket','messages','documents')) ) 
    {
    $arrEditableTabids[$strKey] = ObjTrans('tab',$oTab->tabname);
    }
  }

// Read fields

$arrFields = array();
$oDB->Query( 'SELECT * FROM '.TABFIELD.($tt==='*' ? ' ORDER BY tabid,fieldid' : ' WHERE tabid="'.$tt.'" ORDER by fieldorder') );
while($row=$oDB->Getrow()) { $arrFields[$row['fieldid']] = $row; }

// Add default values for the fields

foreach($arrFields as $strField => $arrField)
{
  // add the default value (of this langue) if required
  $arrFields[$strField]['default'] = '';
  if ( $row['fielddefault']=='1' )
  {
    if ( strstr('SLP',$row['fieldtype']) )
    {
    if ( !isset($_SESSION['L']['list'][$strField]) ) $_SESSION['L']['list'][$strField] = cLang::GetName('list',$_SESSION[QT]['lang_iso'],$strField);
    $arrFields[$strField]['default'] = ObjTrans('list',$strField,false);
    }
    if ( $row['fieldtype']=='D' ) $arrFields[$strField]['default']=date('Ymd His');
    if ( $row['fieldtype']=='d' ) $arrFields[$strField]['default']=date('Ymd');
    if ( $row['fieldtype']=='T' ) $arrFields[$strField]['default']=date('H:i');
    if ( $row['fieldtype']=='C' ) $arrFields[$strField]['default']='1';
  }
}

// DISPLAY

include('qtr_adm_p_header.php');
include('qtr_adm_p_title.php');

HtmlTabs( $arrTabs, $oVIP->selfurl, $tt, 6, true, true, $L['E_editing'] );

// DISPLAY TAB PANEL

echo '<table class="pan" cellspacing="0">
<tr class="pan">
<td class="pan">
<div class="pan_top">',( isset($_SESSION['L']['tabdesc'][$tt]) ? ObjTrans('tabdesc',$tt,false) : ObjTrans('tab',$tt) ),'</div>
';

// PREVIEW

if ( $tt!='*' )
{
  echo '
  <h2>',$L['Preview'],'</h2>
  <div style="margin:0; padding:15px; border:1px dotted #AAAAAA;">
  <table cellspacing="0" class="field">
  <colgroup span="3"><col width="150"><col></col><col></col></colgroup>
  ';
  if ( count($arrFields)==0 )
  {
    HtmlDataRow($L,'0');
  }
  else
  {
    $str='';
    foreach($arrFields as $strField => $arrField)
    {
      HtmlDataRow($L,'D',$arrField,$str,$tt);
    }
  }
  echo '
  </table>
  </div>
  ';
}

if ( in_array($tt,array('ticket','messages','documents')) )
{
  echo '<p class="disabled">',$L['E_field_no_change'],' ',$arrTabs[$tt]->tabname,'.</p>';
}
else
{

  echo '<h2>',$L['Fields_upd'],' ',$arrTabs[$tt]->tabname,'</h2>';

  echo '<table cellspacing="0" class="data_o">
  <colgroup span="4"><col><col></col><col width="150"></col><col width="150"></col></colgroup>
  <tr class="data_o">
  <td class="th_o" style="text-align:left">',$L['Fields'],'</td>
  <td class="th_o" style="text-align:left">',$L['Style'],'</td>
  <td class="th_o">',$L['Action'],'</td>
  <td class="th_o">',( $tt=='*' ? 'Tab' : $L['Move']),'</td>
  </tr>
  ';
  $j=0;
  foreach($arrFields as $strField => $arrField)
  {
    echo '<tr class="rowlight">',N;
    echo '<td class="td_o td_o_inf bold"><a href="qtr_adm_field.php?tt=',$arrField['tabid'],'&amp;id=',$strField,'" title="Edit properties">',ObjTrans('field',$strField),'</a></td>',N;
    echo '<td class="td_o td_o_inf"><span class="small">',$L['Field_type'][$arrField['fieldtype']],($arrField['fieldselect']=='0' ? ', '.strtolower($L['Visible_no']) : ''),($arrField['fieldupdate']=='0' ? ', '.strtolower($L['Editable_no']) : ''),'</span></td>',N;
    echo '<td class="td_o td_o_sta"><a class="small" href="qtr_adm_field.php?tt=',$tt,'&amp;id=',$strField,'">',$L['Edit'],'</a>&nbsp;&middot;&nbsp;';
    echo '<a class="small" href="',$oVIP->selfurl,'?tt=',$tt,'&amp;id=',$strField,'&amp;a=del">',$L['Delete'],'</a>';
    echo '</td>',N;
    echo '<td class="td_o" style="text-align:center">';
    if ( $tt=='*' )
    {
    echo '<span class="small">',ObjTrans('tab',$arrField['tabid']),'</span>';
    }
    else
    {
    if ( $j==0 ) { echo '<span class="disabled">',$L['Up'],'</span>'; } else { echo '<a class="small" href="',$oVIP->selfurl,'?tt=',$tt,'&amp;id=',$strField,'&amp;a=up">',$L['Up'],'</a>'; }
    echo ' &middot; ';
    if ( $j+1==count($arrFields) ) { echo '<span class="disabled">',$L['Down'],'</span>'; } else { echo '<a class="small" href="',$oVIP->selfurl,'?tt=',$tt,'&amp;id=',$strField,'&amp;a=down">',$L['Down'],'</a>'; }
    }
    echo '</td></tr>',N;
    $j++;
  }
  if ( count($arrFields)==0 ) echo '<tr class="data_o"><td class="td_o td_o_inf disabled" colspan="7">',$L['None'],'...</td></tr>';

  // ADD FIELD

  if ( count($arrEditableTabids)>0 )
  {
  echo '
  <tr class="data_o">
  <td class="td_o_all" colspan="4">
  <form method="post" action="',$oVIP->selfurl,'">
  <input type="text" id="id" name="id" value="" size="24" maxlength="24" class="small"/>
  ';
  if ( $tt=='*' )
  {
    echo ' in <select id="tt" name="tt" class="small">',QTastags($arrEditableTabids),'</select>';
  }
  else
  {
    echo '<input type="hidden" id="tt" name="tt" value="',$tt,'"/>';
  }
  echo '
   <input type="submit" id="okadd" name="okadd" class="small" value="',$L['Field_add'],'"/>
  </form>
  </td>
  </tr>';
  }
  else
  {
  echo '
  <tr class="data_o"><td class="td_o" colspan="4"><span class="disabled">',$L['E_no_editable_tab'],'</span></td></tr>';
  }

echo '
</table>
';

}

// END TAB PANEL

echo '
</td>
</tr>
</table>
';

// Under main page

echo '<h2>',$L['Other_action'],'</h2>
<form method="post" action="',$oVIP->selfurl,'">
',$L['Create_tab'],'
 <input type="text" id="tabid" name="tabid" value="" size="24" maxlength="24"/> ',strtolower($L['In_section']),'
<select id="section" name="section">',(QTastags($oSYS->sections)),'</select>
 <input type="submit" id="oktab" name="oktab" value="',$L['Ok'],'"/>
</form>
';

// --------
// HTML END
// --------

include('qtr_adm_p_footer.php');

?>