<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    2.0 build:20090226
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtr_init.php');
include(Translate('qtr_adm.php'));

if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$id = -1;
if ( isset($_GET['id']) ) $id = $_GET['id'];
if ( isset($_POST['id']) ) $id = intval($_POST['id']);
if ( $id<0 ) die('Missing parameters');

$intWidth = 50;
$intSize = 10;

$oVIP->selfurl = 'qtr_adm_section_img.php';
$oVIP->selfname = '<span class="upper">'.$L['Adm_content'].'</span><br/>'.$L['Section_upd'];
$oVIP->exiturl = 'qtr_adm_section.php?tt=1&s='.$id;

// --------
// SUBMITTED FOR DELETE
// --------

if ( isset($_POST['del']) )
{
  $oDB->Query('UPDATE '.TABSECTION.' SET logo="" WHERE id='.$id);
  if (file_exists("upload/section/$id.gif")) unlink("upload/section/$id.gif");
  if (file_exists("upload/section/$id.jpg")) unlink("upload/section/$id.jpg");
  if (file_exists("upload/section/$id.jpeg")) unlink("upload/section/$id.jpeg");
  if (file_exists("upload/section/$id.png")) unlink("upload/section/$id.png");
  $oVIP->selfname = $L['Section_upd'];
  $oVIP->EndMessage(NULL,$L['S_delete'],$_SESSION[QT]['skin_dir'],2);
}

// --------
// SUBMITTED FOR UPLOAD
// --------

if ( isset($_POST['ok']) )
{
  $bUpload = false;

  // load picture

  if ( !is_uploaded_file($_FILES['title']['tmp_name']) ) $error = 'You did not upload a file!';

  // is size (kb) ok

  if ( empty($error) )
  {
    if ( $_FILES['title']['size'] > (intval($intSize)*1024+16) )
    {
    $error = $L['E_file_size'].' (&lt;'.$intSize.' Kb)';
    unlink($_FILES['title']['tmp_name']);
    }
  }

  // check extension

  if ( empty($error) )
  {
    $strExt = strtolower(substr(strrchr($_FILES['title']['name'],'.'),1));
    if ( in_array($strExt,array('jpg','jpeg','gif','png')) )
    {
      $bUpload=true;
    }
    else
    {
      $error = 'Format ('.$strExt.') not supported... You must use '.$_SESSION[QT]['avatar'];
      unlink($_FILES['title']['tmp_name']);
      $bUpload = false;
    }
  }

  // is size ok

  if ( empty($error) )
  {
    $size = getimagesize($_FILES['title']['tmp_name']);
    $width = $size[0];
    $height = $size[1];
    if ( $width-2>$intWidth || $height-2>$intWidth )
    {
      $error = $intWidth.'x'.$intWidth.' '.$L['E_pixels_max'];
      unlink($_FILES['title']['tmp_name']);
    }
  }

  // define target name

  if ( empty($error) && $bUpload )
  {
    //File has passed all validation, copy it to the final destination and remove the temporary file:
    copy($_FILES['title']['tmp_name'],"upload/section/$id.$strExt");
    $oDB->Query('UPDATE '.TABSECTION.' SET logo="'.$id.'.'.$strExt.'" WHERE id='.$id);
    unlink($_FILES['title']['tmp_name']);

    // exit
    $oVIP->selfname = $L['Section_upd'];
    $oVIP->EndMessage(NULL,$L['S_update'],$_SESSION[QT]['skin_dir'],2);
  }
}

// --------
// HTML START
// --------

$strHeadScript = '
<script type="text/javascript">
<!--
function ValidateForm(theForm)
{
  if (theForm.title.value.length==0) { alert("'.$L['E_mandatory'].': File"); return false; }
  return null;
}
-->
</script>
';
include('qtr_adm_p_header.php');
include('qtr_adm_p_title.php');

$str='';
if ( file_exists('upload/section/'.$id.'.gif') ) $str = 'upload/section/'.$id.'.gif';
if ( file_exists('upload/section/'.$id.'.jpg') ) $str = 'upload/section/'.$id.'.jpg';
if ( file_exists('upload/section/'.$id.'.png') ) $str = 'upload/section/'.$id.'.png';
if ( file_exists('upload/section/'.$id.'.jpeg') ) $str = 'upload/section/'.$id.'.jpeg';

echo '<table class="hidden" cellspacing="0">',N;
echo '<tr class="hidden">',N;
echo '<td class="hidden" style="width:175px;"><br/>',AsImgBox(AsImg($str),'picbox'),'</td>',N;
echo '<td class="hidden">',N;

HtmlMsg(0,'400px','',$L['Add'].' logo');

echo '<form method="post" action="',$oVIP->selfurl,'" enctype="multipart/form-data" onsubmit="return ValidateForm(this);">',N;

if ( !empty($error) ) echo '<span class="error">',$error,'</span>',N;
echo '<p style="text-align:right">',N;
echo '(max ',$intWidth,'x',$intWidth,' pixels)<br/><br/>',N;
echo '<input type="hidden" name="max_file_size" value="',($intSize*1024),'"/>',N;
echo '<input type="hidden" name="id" value="',$id,'"/>',N;
echo '<input type="file" id="title" name="title" size="32"/>',N;
echo '<input type="submit" name="ok" value="',$L['Save'],'"/></p>',N;
echo '</form>',N;

HtmlMsg(1);

if ( !empty($str) )
{
  HtmlMsg(0,'400px','',$L['Remove'].' logo');
  echo '<form method="post" action="',$oVIP->selfurl,'">
  <p style="text-align:right">
  <input type="hidden" name="id" value="',$id,'"/>
  <input type="submit" name="del" value="',$L['Delete'],'"/></p>
  </form>
  ';
  HtmlMsg(1);
}

echo '
</td>
</tr>
</table>
<p>&laquo; <a href="',$oVIP->exiturl,'">',$oVIP->exitname,'</a></p>
';

// HTML END

include('qtr_adm_p_footer.php');

?>