<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    2.0 build:20090226
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 *
 */

session_start();
require_once('bin/qtr_init.php');
include(Translate('qtr_adm.php'));

if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$tt='en';
$v = '';
if ( isset($_GET['v']) ) $v = strip_tags($_GET['v']);
if ( isset($_POST['v']) ) $v = strip_tags($_POST['v']);
if ( empty($v) ) $error = 'Missing file name';
if ( isset($_GET['tt']) ) $tt = strip_tags($_GET['tt']);
if ( isset($_POST['tt']) ) $tt = strip_tags($_POST['tt']);

$intSize = 100;

$oVIP->selfurl = 'qtr_adm_tags_upload.php';
$oVIP->selfname = $L['Add'].' CSV '.strtolower($L['File']);
$oVIP->exiturl = 'qtr_adm_tags.php';
$oVIP->exitname = $L['Tags'];

// --------
// SUBMITTED FOR UPLOAD
// --------

if ( isset($_POST['ok']) )
{
  $bUpload = false;
  // ---------
  // load picture
  // ---------
  if ( !is_uploaded_file($_FILES['title']['tmp_name']) ) $error = 'You did not upload a file!';

  // ---------
  // is size (kb) ok
  // ---------
  if ( empty($error) )
  {
    if ( $_FILES['title']['size'] > (intval($intSize)*1024+16) )
    {
    $error = $L['E_file_size'].' (&lt;'.$intSize.' Kb)';
    unlink($_FILES['title']['tmp_name']);
    }
  }

  // ---------
  // check extension
  // ---------
  if ( empty($error) )
  {
    $strExt = strtolower(substr(strrchr($_FILES['title']['name'],'.'),1));
    if ( $strExt=='csv' )
    {
      $bUpload=true;
    }
    else
    {
      $error = 'Format ('.$strExt.') not supported... You must use CSV file.';
      unlink($_FILES['title']['tmp_name']);
      $bUpload = false;
    }
  }

  // ---------
  // define target name
  // ---------
  if ( empty($error) && $bUpload )
  {
    //File has passed all validation, copy it to the final destination and remove the temporary file:
    copy($_FILES['title']['tmp_name'],'upload/'.$v);
    unlink($_FILES['title']['tmp_name']);

    // exit
    $oVIP->EndMessage(NULL,$L['S_update'],$_SESSION[QT]['skin_dir'],2);
  }
}

// --------
// HTML START
// --------

$strHeadScript = '
<script type="text/javascript">
<!--
function ValidateForm(theForm)
{
  if (theForm.title.value.length==0) { alert("'.$L['E_mandatory'].': File"); return false; }
  return null;
}
function ValidateWarning(str)
{
  if (str.value=="'.$v.'") 
  {
  document.getElementById("warning").style.visibility="visible";
  }
  else
  {
  document.getElementById("warning").style.visibility="hidden";
  }
  return null;
}
-->
</script>
';
include('qtr_adm_p_header.php');

$str='';
if ( file_exists('upload/'.$v) ) $str = 'upload/'.$v;

echo '<br/>',N;
echo '<table class="hidden" cellspacing="0">',N;
echo '<tr class="hidden">',N;
echo '<td class="hidden">',N;

HtmlMsg(0,'400px','',$oVIP->selfname);

echo '<form method="post" action="',$oVIP->selfurl,'" enctype="multipart/form-data" onsubmit="return ValidateForm(this);">',N;

if ( !empty($error) ) echo '<span class="error">',$error,'</span>',N;
echo '<p style="text-align:right">',N;
echo $L['File'],': <input type="hidden" name="max_file_size" value="',($intSize*1024),'"/>',N;
echo '<input type="file" id="title" name="title" size="32"/><br/><br/><br/><br/>',N;
echo $L['Destination'],':  upload/<input type="text" id="v" name="v" size="25" maxlength="25" value="',$v,'" onkeyup="ValidateWarning(this);"/><br/><br/>',N;
echo '<span id="warning" class="warning">',(file_exists('upload/'.$v) ? $L['E_overwrite_file'].' ['.$v.']' : ''),'</span> ';
echo '<input type="hidden" name="tt" value="',$tt,'"/>',N;
echo '<input type="submit" name="ok" value="',$L['Ok'],'"/></p>',N;
echo '</form>',N;
echo '<p><a href="',$oVIP->exiturl,'?tt=',$tt,'">&laquo; ',$oVIP->exitname,'</a></p>';

HtmlMsg(1);

echo '
</td>
</tr>
</table>
';

// HTML END

include('qtr_adm_p_footer.php');

?>