<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    2.0 build:20090226
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 *
 */

session_start();
require_once('bin/qtr_init.php');
if ( !$oVIP->CanAccess('MUV',5,true) ) HtmlPage(101);

// INITIALISE

$strTitle = '';

$oVIP->selfurl = 'qtr_s_search.php';
$oVIP->selfname = $L['Search'];

$bWithref=false;
if ( isset($oSYS) ) {
if ( count($oSYS->sections)>0 ) { $arrSections = GetSectionTitles($oVIP->role,-1,-1,'numfield<>"N"');
if ( count($arrSections)>0 ) {
  $bWithref=true;
}}}

// ---------
// SUBMITTED
// ---------

if ( isset($_POST['ok']) )
{
  // security check

  $strTitle = $_POST['title']; if ( get_magic_quotes_gpc() ) $strTitle = stripslashes($strTitle);
  $strTitle = strip_tags($strTitle);

  // read keys

  $arrKeys = split(' ',$strTitle);
  // convert stringnumber to int (if bWithref) and count the different types
  $iNumber = 0;
  $iString = 0;
  foreach ($arrKeys as $intKey => $strVal)
  {
    if ( is_numeric($strVal) && $bWithref )
    {
      if ( strstr($strVal,'.') ) $error = $L['E_ref_search'];
      if ( strstr($strVal,',') ) $error = $L['E_ref_search'];
      $arrKeys[$intKey]=intval($strVal);
      $iNumber++;
    }
    else
    {
      $iString++;
      if ( substr($strVal,0,1)=='"' && substr($strVal,-1,1)=='"' ) $arrKeys[$intKey]= substr($strVal,1,-1);
    }
  }
  
  // reject if different types exist
  
  if ( $iNumber>1 ) { $error = $L['H_Advanced']; $strTitle = $arrKeys[0]; }
  if ( $iNumber>0 && $iString>0 ) { $error = $L['H_Advanced']; $strTitle = $arrKeys[0]; }

  if ( empty($error) && $iNumber==1 )
  {
    if ( headers_sent() )
    {
    echo '<a href="qtr_search_re.php?a=ref&amp;k1=',$arrKeys[0],'">',$L['Search'],'</a><meta http-equiv="REFRESH" content="0;url=qtr_search_re.php?a=ref&amp;k1=',$arrKeys[0],'">';
    }
    else
    {
    header('Location: qtr_search_re.php?a=ref&k1='.$arrKeys[0]);
    }
    exit;
  }
  if ( empty($error) && $iString>0 )
  {
    if ( headers_sent() )
    {
    echo '<a href="qtr_search_re.php?a=kw&amp;k1=',implode('+',$arrKeys),'&amp;k2=0&amp;k3=0">',$L['Search'],'</a><meta http-equiv="REFRESH" content="0;url=qtr_search_re.php?a=kw&amp;k1=',implode('+',$arrKeys),'&amp;k2=0&amp;k3=0">';
    }
    else
    {
    header('Location: qtr_search_re.php?a=kw&k1='.implode('+',$arrKeys).'&k2=0&k3=0');
    }
    exit;
  }
}

// --------
// HTML START
// --------

$strHeadScript = '<script type="text/javascript">
<!--
function ValidateForm()
{
  if (document.getElementById("title").value.length==0) { alert(qtHtmldecode("'.$L['E_mandatory'].'")); return false; }
  return true;
}
-->
</script>
';

include('qtr_p_header.php');

// TOP BUTTONS

echo '<table class="hidden" cellspacing="0">',N;
echo '<tr class="hidden">',N;
echo '<td class="hidden">&nbsp;</td>',N;
echo '<td class="button" style="width:25px">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_t_0.gif','T',$L['Ico_topic_t_0'],'ico i_topic'),'</td>',N;
echo '<td class="button" style="width:120px">&nbsp;<a href="qtr_search_re.php?a=last" class="button">',$L['Recent_messages'],'</a>&nbsp;</td>',N;
echo '<td class="hidden" style="width:10px">&nbsp;</td>',N;
echo '<td class="button" style="width:25px">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_a_0.gif','T',$L['Ico_topic_a_0'],'ico i_topic'),'</td>',N;
echo '<td class="button" style="width:120px">&nbsp;<a href="qtr_search_re.php?a=news" class="button">',$L['All_news'],'</a>&nbsp;</td>',N;
if ( $oVIP->role!='V' )
{
echo '<td class="hidden" style="width:10px">&nbsp;</td>',N;
  echo '<td class="button" style="width:25px">',AsImg($_SESSION[QT]['skin_dir'].'/ico_user_p_1.gif','T',$L['Ico_user_p_1'],'ico i_user'),'</td>',N;
echo '<td class="button" style="width:120px">&nbsp;<a href="qtr_search_re.php?a=user&amp;k1=',$oVIP->id,'&amp;k2=',urlencode($oVIP->username),'" class="button">',$L['All_my_topics'],'</a>&nbsp;</td>',N;
}
echo '</tr>',N;
echo '</table>',N;

// SIMPLE SEARCH

echo '<h2>',$L['Search'],'</h2>
<form method="post" action="qtr_s_search.php" onsubmit="return ValidateForm();">
<table class="data_s" cellspacing="0">
<tr class="data_s">
<td class="th_s th_s_first th_s_empty"></td>
<td class="th_s th_s_empty"></td>
<td class="th_s th_s_last th_s_empty"></td>
</tr>
<tr class="data_s">
<td class="td_s td_s_ico1 td_s_first" style="text-align:center; width:50px">',AsImg($_SESSION[QT]['skin_dir'].'/ico_section_search.gif','search',$L['Search'],'ico i_sec'),'</td>
<td class="td_s"><input type="text" id="title" name="title" size="24" maxlength="32" value="',$strTitle,'"/>&nbsp;<input type="submit" id="ok" name="ok" value="',$L['Ok'],'"/>',($bWithref ? ' <span class="small">'.$L['H_Advanced'].'</span>' : ''),'</td>
<td class="td_s" style="padding:7px; text-align:right"><a href="qtr_search.php">',$L['Advanced_search'],'...</a></td>
</tr>
<tr class="tf_s">
<td class="tf_s tf_s_first"></td>
<td class="tf_s"></td>
<td class="tf_s tf_s_last"></td>
</tr>
</table>
</form>
';

if ( !empty($error) ) echo '<p class="error">',$error,'</p>';

// HTML END

echo '<script type="text/javascript">
<!--
document.getElementById("title").focus();
-->
</script>';

include('qtr_p_footer.php');
?>